import { Router } from "express";
import {
  getShifts,
  createShiftDb,
  editShiftDb,
  createDutyReaster,
  editDutyRoaster,
  getDutyRoasters,
  getDayOff,
  editDayOff,
  createDayOff,
  getCompanyWiseRotaData,
  getDutyRoasterReport,
  getLatePolicy ,
  editLatePolicy,
  createLatePolicy
} from "../../controllers/rota/rota.controller";
import { authenticate } from "../../middleware/auth.middleware";

const router = Router();

//report data

router.get(
  "/duty-roaster/report/:company_id",
  authenticate,
  getDutyRoasterReport
); // [x] Incorporated, UI WIP

// MISC data
router.get(
  "/data-company-wise/:company_id",
  authenticate,
  getCompanyWiseRotaData
); // [x] Integration complete

router.get("/shift/:company_id", authenticate, getShifts); // [x] Integration Complete
router.post("/shift/create", authenticate, createShiftDb); // [x] Integration Complete
router.put("/shift/edit", authenticate, editShiftDb); // [x] Integration Compltete
//duty roasters
router.get("/duty-roaster/:company_id", authenticate, getDutyRoasters); // [x] Integration Complete
router.post("/duty-roaster/create", authenticate, createDutyReaster); // [x] Integration complete
router.put("/duty-roaster/edit", authenticate, editDutyRoaster); // [x] Integration compltete

//day ooff
router.get("/day-off/:company_id", authenticate, getDayOff); // [x] Integration complete
router.post("/day-off/create", authenticate, createDayOff); // [x] Integration complete
router.put("/day-off/edit", authenticate, editDayOff); // [x] Integration complete

//late policy 

router.get("/late-policy/:company_id", authenticate, getLatePolicy); // [x] Integration complete
router.post("/late-policy/create", authenticate, createLatePolicy); // [x] Integration complete
router.put("/late-policy/edit", authenticate, editLatePolicy); 

export default router;
